Skip to main content
POST
/
generation
/
kling-ai
/
o3
/
video
Kling O3 Video
curl --request POST \
  --url https://open.skills.video/api/v1/generation/kling-ai/o3/video \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>",
  "first_frame_url": "<string>",
  "video_url": "<string>"
}
'
{
  "id": "gen_123",
  "status": "IN_QUEUE",
  "input": {
    "prompt": "a cat walking through neon rain",
    "duration": 5,
    "aspect_ratio": "16:9",
    "n": 1
  },
  "usage": {
    "total": 20,
    "subscription": 20,
    "permanent": 0
  }
}
Upto 15s, with video or image references, audio-backed.

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

prompt
string
required

Text prompt for video generation

feature
string

Workflow type: text/image-to-video, frame-to-video, reference-to-video, video-to-video (edit), or video-reference-to-video.

Allowed value: "text-image-to-video"
duration
integer
default:5

Video duration in seconds

Required range: 3 <= x <= 15
generate_audio
boolean
default:true

Whether to generate audio for the video

keep_audio
boolean
default:true

Preserves original audio from the reference video (video-to-video modes).

quality
enum<string>
default:pro

generation quality

Available options:
standard,
pro
aspect_ratio
enum<string>
default:16:9

Aspect ratio of the video. Portrait is 720x1280, landscape is 1280x720

Available options:
9:16,
16:9,
1:1
image_url
string<uri>

Start frame image URL for image-to-video.

start_image_url
string<uri>

Start frame image URL (alias for image_url in reference-to-video mode).

end_image_url
string<uri>

End frame image URL for image-to-video / reference-to-video.

first_frame_url
string<uri>

First frame image URL for frame-to-video mode.

last_frame_url
string<uri>

Optional last frame image URL for frame-to-video mode.

image_urls
string<uri>[] | null

Reference images for style/appearance; cite in prompt as @Image1, @Image2. Max 4 total (combined with elements).

Maximum array length: 4
reference_image_urls
string<uri>[] | null

Compatibility alias for image_urls.

Maximum array length: 4
video_url
string<uri>

Reference video URL for video-to-video modes (mp4/mov, 3-10s, 720-2160px, max 200MB).

negative_prompt
string | null

Description of what to exclude from the generated video

{key}
any

Response

Generation submission accepted

id
string
required

Generation id.

status
enum<string>
required

Queue status

Available options:
IN_QUEUE,
IN_PROGRESS,
COMPLETED,
FAILED,
CANCELED
input
Text Image To Video · object
required

Normalized input payload for the generation task.

usage
object
required

Credit usage breakdown for the request

code
string

Machine-readable generation error code. Present when status is FAILED.

message
string

Sanitized human-readable failure message. Present when status is FAILED.